@charset "utf-8";

#g-nav{
  /*position:fixed;にし、z-indexの数値を小さくして最背面へ*/
  position:fixed;
  z-index: -1;
  opacity: 0;/*はじめは透過0*/
  /*ナビの位置と形状*/
  top:0;
  width:100%;
  height: 100vh;/*ナビの高さ*/
  /*動き*/
  transition: all .5s;
}
/*アクティブクラスがついたら透過なしにして最前面へ*/
#g-nav.panelactive{
  opacity: 1;
  z-index:999;
}

/*ナビゲーションの縦スクロール*/
#g-nav.panelactive #g-nav-list {
  /*ナビの数が増えた場合縦スクロール*/
  position: relative;
  top:0;
  left: 72%;
  z-index: 999; 
  width: 28%;
  height: 100vh;/*表示する高さ*/
  overflow: auto;
}
#g-nav.panelactive #g-nav-list-bg {
  position: absolute;
  top:0;
  left: 72%;
  z-index: 998; 
  width: 28%;
  height: 100vh;/*表示する高さ*/
  background: rgba(50, 50, 50, .9);
  mix-blend-mode: multiply;
}
.en_menu {font-family: var(--fontOrp);}
.jp_menu {font-family: var(--fontSerif);font-weight: 200;}
#g-nav ul.main-nav .jp_menu,#g-nav ul.sub-nav .jp_menu {font-size: 85%;text-align: right;}
#g-nav ul.main-nav .en_menu,#g-nav ul.sub-nav .en_menu {font-size: 115%;}

#g-nav ul.act-nav .jp_menu {}
#g-nav ul.act-nav .en_menu {font-size: 80%;}



/*ナビゲーション*/
#g-nav ul {
  display: none;
  width: 75%;
  margin: auto;
  z-index: 999;
}
#g-nav ul.main-nav {
  margin-top: 30px;
}
#g-nav ul.sub-nav,
#g-nav ul.act-nav {
  margin-top: 60px;
}

/*リストのレイアウト設定*/

#g-nav ul li {
  list-style: none;
  text-align: left;
  width: 100%;
  border-bottom: 1px solid #ac9875;
  position: relative;
  color: #fff;
  letter-spacing: 0.1em;
  font-weight: 400;
  margin-top: .8em;
}
#g-nav ul.main-nav li,
#g-nav ul.sub-nav  li{
  height: 36px;
}
#g-nav ul.act-nav li {
  color: inherit;
  border: 1px solid #aaa;
  border-radius: 5px;
}
#g-nav ul.act-nav li:not(:last-of-type) {
  border-bottom: none;
}

#g-nav ul li a {
  font-family: var(--fontEn);
  text-decoration: none;
  padding:4px 9px;
  cursor: pointer;
  display: flex;
  justify-content: space-between; 
  align-items: center;
}

#g-nav ul li a[tabindex="-1"]{
  color: #999;
  cursor: default;
}

#g-nav ul.main-nav li a[tabindex="-1"]:hover, #g-nav ul.sub-nav li a[tabindex="-1"]:hover{
  color: #999;
  cursor: default;
}

#g-nav ul li span.g-nav-list_title {
  color: #ac9875;
}

#g-nav ul.main-nav li a:hover,
#g-nav ul.sub-nav li a:hover {
  color: #fff;
}
#g-nav ul.main-nav li a.noactive {
  box-shadow: none;
  color: #555;
  cursor:default;
}

#g-nav.panelactive ul {
  display: block;
}

#g-nav ul.act-nav li a div {
  line-height: 1.2em;
  margin-top: 0.4em;
  margin-bottom: 0.4em;

}
#g-nav .act-nav_arrow {
  width: 24px;
}

.arrow_WHT {fill: #fff;}
.arrow_BLK {fill: #000;}

/*========= ボタンのためのCSS ===============*/
.openbtn{
  position:fixed;
  z-index: 9999;/*ボタンを最前面に*/
  top:7px;
  right: 20px;
  cursor: pointer;
  width: 50px;
  height:50px;
}

/*×に変化*/    
.openbtn span{
  display: inline-block;
  transition: all .4s;
  position: absolute;
  left: 10px;
  height: 1px;
  border-radius: 2px;
  background-color: #fff;
  width: 70%;
}
.openbtn span:nth-of-type(1) {
  top:15px;   
}
.openbtn span:nth-of-type(2) {
  top:23px;
}
.openbtn span:nth-of-type(3) {
  top:31px;
}
.openbtn span:nth-of-type(4) {
  top:39px;
}
.openbtn.active span:nth-of-type(1) {
  top: 18px;
  left: 18px;
  transform: translateY(6px) rotate(-45deg);
}
.openbtn.active span:nth-of-type(2) {
  opacity: 0;
}
.openbtn.active span:nth-of-type(3) {
  opacity: 0;
}
.openbtn.active span:nth-of-type(4){
  top: 30px;
  left: 18px;
  transform: translateY(-6px) rotate(45deg);
}


div.navipct {
  position: absolute;
  display: flex;
  top:0;
  right: 0;
  width: 40px;
  height: 14px;
  font-size: 10px;
  color: #fff;
  background-image: var(--requBtn);
  letter-spacing: 0;
  justify-content: center;
  align-items: center;
}

/* ----------------------- */
/* 1600 */
/* ----------------------- */
@media screen and (max-width: 1600px) {

#g-nav.panelactive #g-nav-list,
#g-nav.panelactive #g-nav-list-bg {
  left: 60%;
  width: 40vw;
}


}


/* ----------------------- */
/* 1200 */
/* ----------------------- */
@media screen and (max-width: 1200px) {

#g-nav.panelactive #g-nav-list,
#g-nav.panelactive #g-nav-list-bg {
  left: 55%;
  width: 45vw;
}

}

/* ----------------------- */
/* 1000 */
/* ----------------------- */
@media screen and (max-width: 1000px) {

#g-nav.panelactive #g-nav-list,
#g-nav.panelactive #g-nav-list-bg {
  left: 45%;
  width: 55vw;
}

}


/* ----------------------- */
/* sp */
/* ----------------------- */
@media screen and (max-width: 767px) {

#g-nav.panelactive #g-nav-list,
#g-nav.panelactive #g-nav-list-bg {
  left: 0;
  width: 100%;
}
#g-nav ul.main-nav {
  margin-top: 10vw;
}
#g-nav ul.sub-nav,
#g-nav ul.act-nav {
  margin-top: 8vw;
}
#g-nav ul li {
  margin-top: 3vw;
}
#g-nav ul.main-nav li,
#g-nav ul.sub-nav  li{
  height: 8.5vw;
}

}


/* ----------------------- */
/* 高さによる調整 */
/* ----------------------- */
@media screen and (max-height: 800px) and (min-width: 768px) {

#g-nav ul li {
  margin-top: .6em;
}
#g-nav ul.main-nav li,
#g-nav ul.sub-nav  li{
  height: 32px;
}
#g-nav ul.sub-nav,
#g-nav ul.act-nav {
  margin-top: 30px;
}

}




/* ------------------------------------------------------------------------------------------------------------------- */



/* ----------------------- */
/* メニューの長いタイトル対策 */
/* ----------------------- */
/*
.jp_menu.gmap {
  letter-spacing: 0 !important;
  font-feature-settings: "palt"!important;
  transform-origin:right;
  transform:scaleX(0.85);
  white-space: nowrap!important;
}
*/

#g-nav ul li a.ZEH {
  align-items:stretch;
}

.ZEH .jp_menu{
transform: translateY(-0.9em);
letter-spacing: 0;
}

#g-nav ul li.ent {
letter-spacing: 0.05em;
}


/* ----------------------- */
/* sp */
/* ----------------------- */
@media screen and (max-width: 767px) {
#g-nav ul li a.ZEH {
  align-items:end;
}
.ZEH .jp_menu{
transform: translateY(-0.8em);
line-height: 1.4em;
}
.ZEH .en_menu{
transform: translateY(-0.6em);
line-height: 1em;
}
#g-nav ul li.ent {
letter-spacing: 0.03em;
}
}


